PIP-WHEEL(1)

NAME
pip-wheel - description of pip wheel command

DESCRIPTION

Build Wheel archives for your requirements and dependencies.

Wheel is a built-package format, and offers the advantage of not recompiling your software during every install. For more details, see the wheel docs: https://wheel.readthedocs.io/en/latest/

Requirements: setuptools>=0.8, and wheel.

'pip wheel' uses the bdist_wheel setuptools extension from the wheel package to build individual wheels.

USAGE

pip [options] <requirement specifier> ...
pip [options] -r <requirements file> ...
pip [options] [-e] <vcs project url> ...
pip [options] [-e] <local project path> ...
pip [options] <archive url/path> ...

OPTIONS

-w, --wheel-dir <dir>
    Build wheels into <dir>, where the default is the current working directory.

--no-binary <format_control>
    Do not use binary packages. Can be supplied multiple times, and each time adds to the existing value. Accepts either :all: to disable all binary packages, :none: to empty the set, or one or more package names with commas between them. Note that some packages are tricky to compile and may fail to install when this option is used on them.

--only-binary <format_control>
    Do not use source packages. Can be supplied multiple times, and each time adds to the existing value. Accepts either :all: to disable all source packages, :none: to empty the set, or one or more package names with commas between them. Packages without binary distributions will fail to install when this option is used on them.

--prefer-binary
    Prefer older binary packages over newer source packages.

--build-option <options>
    Extra arguments to be supplied to 'setup.py bdist_wheel'.

--no-build-isolation
    Disable isolation when building a modern source distribution. Build dependencies specified by PEP 518 must be already installed if this option is used.

-c, --constraint <file>
    Constrain versions using the given constraints file. This option can be used multiple times.

-e, --editable <path/url>
    Install a project in editable mode (i.e. setuptools "develop mode") from a local project path or a VCS url.

-r, --requirement <file>
    Install from the given requirements file. This option can be used multiple times.

--src <dir>
    Directory to check out editable projects into. The default in a virtualenv is "<venv path>/src". The default for global installs is "<current dir>/src".

--ignore-requires-python
    Ignore the Requires-Python information.

--no-deps
    Don't install package dependencies.

-b, --build <dir>
    Directory to unpack packages into and build in. Note that an initial build still takes place in a temporary directory. The location of temporary directories can be controlled by setting the TMPDIR environment variable (TEMP on Windows) appropriately. When passed, build directories are not cleaned in case of failures.

--progress-bar <progress_bar>
    Specify type of progress to be displayed [off|on|ascii|pretty|emoji] (default: on)

--global-option <options>
    Extra global options to be supplied to the setup.py call before the 'bdist_wheel' command.

--pre
    Include pre-release and development versions. By default, pip only finds stable versions.

--no-clean
    Don't clean up build directories).

--require-hashes
    Require a hash to check each requirement against, for repeatable installs. This option is implied when any package in a requirements file has a --hash option.

AUTHOR
pip developers

COPYRIGHT
2008-2018, PyPA